CURLOPT_STREAM_DEPENDS(3)

NAME
CURLOPT_STREAM_DEPENDS - set stream this transfer depends on

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_STREAM_DEPENDS, CURL *dephandle);

DESCRIPTION
Pass a CURL * pointer in dephandle to identify the stream within the same connection that this stream is depending upon. This option clears the exclusive it and is mutually exclusive to the CURLOPT_STREAM_DEPENDS_E(3) option. The spec says "Including a dependency expresses a preference to allocate resources to the identified stream rather than to the dependent stream." This option can be set during transfer. dephandle must not be the same as handle, that will cause this function to return an error. It must be another easy handle, and it also needs to be a handle of a transfer that will be sent over the same HTTP/2 connection for this option to have an actual effect.

DEFAULT
NULL

PROTOCOLS
HTTP/2

EXAMPLE
TODO

AVAILABILITY
Added in 7.46.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_STREAM_WEIGHT(3), CURLOPT_STREAM_DEPENDS_E(3),